# Delegation

The governance token for Interest Protocol, IPT, allows its holder to delegate their associated governance rights to a designated representative's address. Delegates can then use that voting power to vote on standard proposals, optimistic proposals, and emergency votes.

Delegates have access only to the voting weight, and not the actual IPT, assigned to them by governance token holders. Delegates do not require any special identification unless they wish to be Recognized Delegates

### Recognized Delegates
Recognized Delegates are delegates that have fulfilled some basic requirements (as established by IP governance) and maintain a minimum threshold of voting activity and communication.

At launch, Recognized Delegates must meet the following criteria:
- Unambiguously and publicly post their intention to become a Recognized Delegate in the appropriate section of the Interest Protocol forum.
- Provide a platform to potential delegators in that post.
- Provide the address they wish to serve as their delegate address.
- Disclose any conflicts of interest and their policy (if any) when those conflicts are relevant to a vote.

At launch, Recognized Delegates must meet the following communications and participation criteria:
- Participate in at least 90% of all votes that have occured in the last 90 days (voting Abstain counts).
- Communicate in the Interest Protocol forum how and why they voted within 7 days of that vote ending. If a delegate did not vote, they should communicate why. At least 90% of all votes should be followed by this timely communication.
- Attend one community call a month.

Recognized Delegates that do not meet their communication and participation thresholds will not be eligible for compensation from Interest Protocol (if any compensation schedule has been approved).

### Delegating IPT
Voting power from an address can be delegated to other addresses.

Holders who are not actively engaged in governance discussions or monitoring Interest Protocol's health and expansion are encouraged to delegate their voting weight to others. 

This serves to decentralize the protocol by ensuring enough IPT is voting to prevent a single party from exercising de facto unilateral control. When voting participation is low, it increases the possibility of Interest Protocol being captured by a small group, whose interests may or may not align with that of the protocol.

Delegation also promotes security, because an active ecosystem of delegates makes it more likely that an Emergency Proposal can be enacted in a crisis. Security is enhanced even when matters are not time sensitive, because delegates are more likely to be monitoring for long-term or complex challenges a passive token holder is unlikely to notice.

### Choosing A Delegate
IPT holders interested in delegating all or a portion of their voting weight to an address can find a comprehensive list of all Recognized Delegates on the Interest Protocol forum. A token holder may, however, delegate to any address.

Holders are strongly encouraged to know their chosen delegate(s), and understand their policy stances on issues important to the holder. It is also advisable to understand any potential conflicts of interest a delegate may have, both with regards to the token holder and Interest Protocol generally.

Ultimately, delegation is an expression of trust. Delegates may have a wide range of motivations, ranging from pecuniary to reputational, and may have a wide range of skills and professionalism, ranging from hobbyists to experts with specialized skills.

Above all, responsible delegators create responsible delegates, so due diligence and regular check-ins are strongly encouraged.
