/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */
import type {
  BaseContract,
  BigNumber,
  BigNumberish,
  BytesLike,
  CallOverrides,
  ContractTransaction,
  Overrides,
  PopulatedTransaction,
  Signer,
  utils,
} from "ethers";
import type {
  FunctionFragment,
  Result,
  EventFragment,
} from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type {
  TypedEventFilter,
  TypedEvent,
  TypedListener,
  OnEvent,
} from "../../common";

export interface IVaultInterface extends utils.Interface {
  functions: {
    "baseLiability()": FunctionFragment;
    "delegateCompLikeTo(address,address)": FunctionFragment;
    "id()": FunctionFragment;
    "masterTransfer(address,address,uint256)": FunctionFragment;
    "minter()": FunctionFragment;
    "modifyLiability(bool,uint256)": FunctionFragment;
    "tokenBalance(address)": FunctionFragment;
    "withdrawErc20(address,uint256)": FunctionFragment;
  };

  getFunction(
    nameOrSignatureOrTopic:
      | "baseLiability"
      | "delegateCompLikeTo"
      | "id"
      | "masterTransfer"
      | "minter"
      | "modifyLiability"
      | "tokenBalance"
      | "withdrawErc20"
  ): FunctionFragment;

  encodeFunctionData(
    functionFragment: "baseLiability",
    values?: undefined
  ): string;
  encodeFunctionData(
    functionFragment: "delegateCompLikeTo",
    values: [string, string]
  ): string;
  encodeFunctionData(functionFragment: "id", values?: undefined): string;
  encodeFunctionData(
    functionFragment: "masterTransfer",
    values: [string, string, BigNumberish]
  ): string;
  encodeFunctionData(functionFragment: "minter", values?: undefined): string;
  encodeFunctionData(
    functionFragment: "modifyLiability",
    values: [boolean, BigNumberish]
  ): string;
  encodeFunctionData(
    functionFragment: "tokenBalance",
    values: [string]
  ): string;
  encodeFunctionData(
    functionFragment: "withdrawErc20",
    values: [string, BigNumberish]
  ): string;

  decodeFunctionResult(
    functionFragment: "baseLiability",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "delegateCompLikeTo",
    data: BytesLike
  ): Result;
  decodeFunctionResult(functionFragment: "id", data: BytesLike): Result;
  decodeFunctionResult(
    functionFragment: "masterTransfer",
    data: BytesLike
  ): Result;
  decodeFunctionResult(functionFragment: "minter", data: BytesLike): Result;
  decodeFunctionResult(
    functionFragment: "modifyLiability",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "tokenBalance",
    data: BytesLike
  ): Result;
  decodeFunctionResult(
    functionFragment: "withdrawErc20",
    data: BytesLike
  ): Result;

  events: {
    "Deposit(address,uint256)": EventFragment;
    "Withdraw(address,uint256)": EventFragment;
  };

  getEvent(nameOrSignatureOrTopic: "Deposit"): EventFragment;
  getEvent(nameOrSignatureOrTopic: "Withdraw"): EventFragment;
}

export interface DepositEventObject {
  token_address: string;
  amount: BigNumber;
}
export type DepositEvent = TypedEvent<[string, BigNumber], DepositEventObject>;

export type DepositEventFilter = TypedEventFilter<DepositEvent>;

export interface WithdrawEventObject {
  token_address: string;
  amount: BigNumber;
}
export type WithdrawEvent = TypedEvent<
  [string, BigNumber],
  WithdrawEventObject
>;

export type WithdrawEventFilter = TypedEventFilter<WithdrawEvent>;

export interface IVault extends BaseContract {
  connect(signerOrProvider: Signer | Provider | string): this;
  attach(addressOrName: string): this;
  deployed(): Promise<this>;

  interface: IVaultInterface;

  queryFilter<TEvent extends TypedEvent>(
    event: TypedEventFilter<TEvent>,
    fromBlockOrBlockhash?: string | number | undefined,
    toBlock?: string | number | undefined
  ): Promise<Array<TEvent>>;

  listeners<TEvent extends TypedEvent>(
    eventFilter?: TypedEventFilter<TEvent>
  ): Array<TypedListener<TEvent>>;
  listeners(eventName?: string): Array<Listener>;
  removeAllListeners<TEvent extends TypedEvent>(
    eventFilter: TypedEventFilter<TEvent>
  ): this;
  removeAllListeners(eventName?: string): this;
  off: OnEvent<this>;
  on: OnEvent<this>;
  once: OnEvent<this>;
  removeListener: OnEvent<this>;

  functions: {
    baseLiability(overrides?: CallOverrides): Promise<[BigNumber]>;

    delegateCompLikeTo(
      compLikeDelegatee: string,
      compLikeToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    id(overrides?: CallOverrides): Promise<[BigNumber]>;

    masterTransfer(
      _token: string,
      _to: string,
      _amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    minter(overrides?: CallOverrides): Promise<[string]>;

    modifyLiability(
      increase: boolean,
      base_amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;

    tokenBalance(arg0: string, overrides?: CallOverrides): Promise<[BigNumber]>;

    withdrawErc20(
      token_address: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<ContractTransaction>;
  };

  baseLiability(overrides?: CallOverrides): Promise<BigNumber>;

  delegateCompLikeTo(
    compLikeDelegatee: string,
    compLikeToken: string,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  id(overrides?: CallOverrides): Promise<BigNumber>;

  masterTransfer(
    _token: string,
    _to: string,
    _amount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  minter(overrides?: CallOverrides): Promise<string>;

  modifyLiability(
    increase: boolean,
    base_amount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  tokenBalance(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;

  withdrawErc20(
    token_address: string,
    amount: BigNumberish,
    overrides?: Overrides & { from?: string | Promise<string> }
  ): Promise<ContractTransaction>;

  callStatic: {
    baseLiability(overrides?: CallOverrides): Promise<BigNumber>;

    delegateCompLikeTo(
      compLikeDelegatee: string,
      compLikeToken: string,
      overrides?: CallOverrides
    ): Promise<void>;

    id(overrides?: CallOverrides): Promise<BigNumber>;

    masterTransfer(
      _token: string,
      _to: string,
      _amount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;

    minter(overrides?: CallOverrides): Promise<string>;

    modifyLiability(
      increase: boolean,
      base_amount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<BigNumber>;

    tokenBalance(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;

    withdrawErc20(
      token_address: string,
      amount: BigNumberish,
      overrides?: CallOverrides
    ): Promise<void>;
  };

  filters: {
    "Deposit(address,uint256)"(
      token_address?: null,
      amount?: null
    ): DepositEventFilter;
    Deposit(token_address?: null, amount?: null): DepositEventFilter;

    "Withdraw(address,uint256)"(
      token_address?: null,
      amount?: null
    ): WithdrawEventFilter;
    Withdraw(token_address?: null, amount?: null): WithdrawEventFilter;
  };

  estimateGas: {
    baseLiability(overrides?: CallOverrides): Promise<BigNumber>;

    delegateCompLikeTo(
      compLikeDelegatee: string,
      compLikeToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    id(overrides?: CallOverrides): Promise<BigNumber>;

    masterTransfer(
      _token: string,
      _to: string,
      _amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    minter(overrides?: CallOverrides): Promise<BigNumber>;

    modifyLiability(
      increase: boolean,
      base_amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;

    tokenBalance(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;

    withdrawErc20(
      token_address: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<BigNumber>;
  };

  populateTransaction: {
    baseLiability(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    delegateCompLikeTo(
      compLikeDelegatee: string,
      compLikeToken: string,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    id(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    masterTransfer(
      _token: string,
      _to: string,
      _amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    minter(overrides?: CallOverrides): Promise<PopulatedTransaction>;

    modifyLiability(
      increase: boolean,
      base_amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;

    tokenBalance(
      arg0: string,
      overrides?: CallOverrides
    ): Promise<PopulatedTransaction>;

    withdrawErc20(
      token_address: string,
      amount: BigNumberish,
      overrides?: Overrides & { from?: string | Promise<string> }
    ): Promise<PopulatedTransaction>;
  };
}
